<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.customer.OrderFormMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.customer.OrderFormEntity">
                    <id column="id" property="id" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="create_by" property="createBy" />
                <result column="owner_by" property="ownerBy" />
                <result column="update_by" property="updateBy" />
                <result column="sort" property="sort" />
                    <result column="title" property="title" />
                    <result column="customer_id" property="customerId" />
                    <result column="business_id" property="businessId" />
                    <result column="quotation_id" property="quotationId" />
                    <result column="order_amount" property="orderAmount" />
                    <result column="currency_id" property="currencyId" />
                    <result column="order_type_dict_value" property="orderTypeDictValue" />
                    <result column="signing_date" property="signingDate" />
                    <result column="expected_production_date" property="expectedProductionDate" />
                    <result column="expected_delivery_date" property="expectedDeliveryDate" />
                    <result column="customer_signatory" property="customerSignatory" />
                    <result column="our_signatory" property="ourSignatory" />
                    <result column="remark" property="remark" />
                    <result column="remind_user_ids" property="remindUserIds" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                owner_by,
                update_by,
                sort,
            id, title, customer_id, business_id, offer_id, order_amount, currency_id, order_type_dict_value, signing_date, expected_production_date, expected delivery date, customer_signatory, our_signatory, remark, remind_user_ids
        </sql>

</mapper>
